# Generated by Django 2.0.7 on 2018-07-21 08:03

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Discount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=128, unique=True, verbose_name='Title')),
                ('date_start', models.DateField(verbose_name='Start date')),
                ('date_end', models.DateField(verbose_name='End date')),
                ('is_cashback', models.BooleanField(default=False, verbose_name='Is cashback?')),
                ('type', models.CharField(choices=[('SI', 'Simple'), ('AF', 'Affiliate'), ('PE', 'Personal')], default='SI', max_length=2, verbose_name='Type')),
                ('percent', models.PositiveSmallIntegerField(default=10, validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(99)], verbose_name='Percent')),
            ],
        ),
    ]
